Default [Q] Bootloader Problem?

I have a Sprint Galaxy S3 that I have been running CyanogenMod 10.1 ROM. I have tried to install a new ROM via TeamWin but I keep getting

"assert failed: getprop("ro.bootloader") == "L710VPBMA6/L710VPBMB1/L710VPBMD4/L710VPBMD7 Error executing updater binary in zip"

I was under the impression from much XDA reading that I need to upgrade the modem/radio. I downloaded a Modem Flasher and installed several different radios and I still get the same message.

Any Help?

Update from OP

I downloaded a MD4 firmware, wiped, flashed CM11 and newest GApps and I am up and running.